%define module_name WWW-FetchStory
Epoch: 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Archive/Zip.pm) perl(Date/Format.pm) perl(EBook/EPUB.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Encode/ZapCP1252.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(Getopt/Long.pm) perl(HTML/Entities.pm) perl(HTML/Strip.pm) perl(HTML/Tidy/libXML.pm) perl(HTTP/Cookies.pm) perl(HTTP/Cookies/Mozilla.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Pod/Coverage/TrustPod.pm) perl(Pod/Usage.pm) perl(Test/CPAN/Meta.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(WWW/Mechanize/Sleepy.pm) perl(XML/LibXML.pm) perl(YAML/Any.pm) perl(blib.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.2004
Release: alt1
Summary: Fetch a story from a fiction website
Group: Development/Perl
License: perl
URL: https://github.com/rubykat/WWW-FetchStory

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RU/RUBYKAT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc TODO Changes README.pod LICENSE
%perl_vendor_privlib/W*
%perl_vendor_privlib/H*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Tue Feb 19 2019 Igor Vlasenko <viy@altlinux.ru> 1:0.2004-alt1
- updated by package builder

* Mon Feb 18 2019 Igor Vlasenko <viy@altlinux.ru> 1:0.2003-alt1
- updated by package builder

* Wed Oct 31 2018 Igor Vlasenko <viy@altlinux.ru> 1:0.2002-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 1:0.1902-alt1
- regenerated from template by package builder

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 1:0.1901-alt1
- regenerated from template by package builder

* Thu Dec 03 2015 Igor Vlasenko <viy@altlinux.ru> 1:0.19-alt2
- regenerated from template by package builder

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.1828-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.1826-alt1
- regenerated from template by package builder

* Mon Jan 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.1825-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.1824-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.1822-alt1
- regenerated from template by package builder

* Mon Dec 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.1820-alt1
- regenerated from template by package builder

* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.1818-alt1
- initial import by package builder

